## Guides
* [Getting started with Zulip](/help/getting-started-with-zulip)
* [Setting up your organization](/help/getting-your-organization-started-with-zulip)

# Using Zulip

## Account basics
* [Change your name](/help/change-your-name)
* [Change your email address](/help/change-your-email-address)
* [Edit your profile](/help/edit-your-profile)
* [Manage your password](/help/change-your-password)
* [Edit your settings](/help/change-your-settings)
* [Set your avatar](/help/change-your-avatar)
* [Change your default language](/help/change-your-language)
* [Use 24-hour time](/help/change-the-time-format)
* [Joining an organization](/help/join-a-zulip-organization)
* [Logging in](/help/logging-in)
* [Logging out](/help/logging-out)
<!-- Find your Zulip organization -->
* [Keyboard shortcuts](/help/keyboard-shortcuts)
* [Deactivate your account](/help/deactivate-your-account)
* [Zulip glossary](/help/zulip-glossary)
* [The Zulip browser window](/help/the-zulip-browser-window)

## Sending messages
* [Send a stream message](/help/send-a-stream-message)
* [Private messages](/help/send-a-private-message)
* [Group private messages](/help/send-a-group-of-people-a-private-message)
* [Format messages using Markdown](/help/format-your-message-using-markdown)
* [Preview messages before sending](/help/preview-your-message-before-sending)
* [Message drafts](/help/view-and-edit-your-message-drafts)
* [Emoji](/help/add-emoji)
* [Video calls](/help/start-a-call)
* [Share and upload files](/help/upload-and-share-files)
* [Manage your uploaded files](/help/manage-your-uploaded-files)
<!-- Automatically link to an external issue tracker (improve wording) -->
* [Enable pressing Enter to send](/help/enable-or-disable-pressing-enter-to-send)
* [Verify a message was sent](/help/verify-that-your-message-has-been-successfully-sent)
<!-- What to do if the server returns an error -->
* [Status messages](/help/format-your-message-using-markdown#status-messages)
* [@-mention a user](/help/at-mention-a-team-member)
* [Write in a different language](/help/send-a-message-in-a-different-language)
* [Reply to a message](/help/reply-to-a-message)
* [Edit or delete a message](/help/edit-or-delete-a-message)
* [Message a stream by email](/help/message-a-stream-by-email)
* [Notify everyone on a stream](/help/notify-everyone-on-a-stream)

## Reading messages
* [Navigation and unread counts](/help/unread-counter-and-pointer)
* [View the Markdown source of a message](/help/view-the-markdown-source-of-a-message)
* [View the exact time a message was sent](/help/view-the-exact-time-a-message-was-sent)
* [View an image at full size](/help/viewing-images)
* [See all images in a narrow](/help/viewing-images#see-all-images-in-a-narrow)
* [Collapse a message](/help/collapse-a-message)
* [Star a message](/help/star-a-message)
* [Emoji reactions](/help/add-an-emoji-reaction-to-a-message)
* [Share a message or conversation](/help/share-a-message-or-conversation)
* [Advanced search](/help/search-for-messages)
* [View a message's edit history](/help/view-a-messages-edit-history)
* [Reading by stream or topic](/help/reading-messages-by-stream-or-topic)
* [Private messages and group PMs](/help/view-your-pms-and-group-pms)

## People
* [Check whether someone is on-line](/help/check-whether-someone-is-here-or-away)
* [Invite another user](/help/invite-a-friend-to-zulip)
* [View someone's profile](/help/view-someones-profile)

## Streams & topics
* [About streams and topics](/help/about-streams-and-topics)
* [Browse and subscribe to streams](/help/browse-and-subscribe-to-streams)
* [Create a stream](/help/create-a-stream)
* [View your stream subscriptions](/help/browse-and-subscribe-to-streams#browse-streams)
* [Add someone to a stream](/help/add-or-remove-users-from-a-stream)
* [Unsubscribe from a stream](/help/unsubscribe-from-a-stream)
* [Organize the Streams sidebar](/help/organize-the-streams-sidebar)
* [Pin a stream](/help/pin-a-stream)
* [Change the color of a stream](/help/change-the-color-of-a-stream)
* [Message a stream by email](/help/message-a-stream-by-email)
* [Edit the topic of a message](/help/change-the-topic-of-a-message)

## Notifications
* [Stream notifications](/help/stream-notifications)
* [PMs, mentions, and alerts](/help/pm-mention-alert-notifications)
* [Mute or unmute a stream](/help/mute-a-stream)
* [Mute or unmute a topic](/help/mute-a-topic)
* [Digest emails](/help/configure-email-digest-notifications)
* [Add an alert word](/help/add-an-alert-word)
* [Notify everyone on a stream](/help/notify-everyone-on-a-stream)
* [Troubleshoot desktop notifications](/help/troubleshooting-desktop-notifications)

## Tools & customization
* [Bots and integrations](/help/add-a-bot-or-integration)
* [Night mode](/help/night-mode)
* [Enable emoticon translations](/help/enable-emoticon-translations)
* [View emoji as text](/help/view-emoji-as-text)
* [Display the buddy list on narrow screens](/help/move-the-users-list-to-the-left-sidebar)
* [View organization statistics](/help/analytics)
* [Connect through a proxy](/help/connect-through-a-proxy)
* [Add a custom certificate](/help/custom-certificates)

## Apps
* [Desktop installation guides](/help/desktop-app-install-guide)
* [Zulip in a Terminal](/help/zulip-in-a-terminal)
<!-- Connect to Zulip over IRC/etc (not implemented?) -->

# Zulip administration

## Organization basics
* [Create your organization profile](/help/create-your-organization-profile)
* [Update your organization's settings](/help/change-your-organization-settings)
* [Link to your Zulip from the web](/help/join-zulip-chat-badge)
* [Import from Slack](/help/import-from-slack)
* [Import from Gitter](/help/import-from-gitter)
* [Manage who can join](/help/manage-who-can-join-and-invite)
* [Set the default language for new users](/help/change-the-default-language-for-your-organization)
* [Export your organization](/help/export-your-organization)
* [Deactivate your organization](/help/deactivate-your-organization)
* [GDPR Compliance](/help/gdpr-compliance)

## Organization settings
* [Restrict stream creation](/help/configure-who-can-create-streams)
* [Change who can add custom emoji](/help/only-allow-admins-to-add-emoji)
* [Block image and link previews](/help/allow-image-link-previews)
* [Restrict name and email changes](/help/restrict-name-and-email-changes)
* [Disable message edit history](/help/disable-message-edit-history)
* [Manage editing of old messages](/help/configure-message-editing-and-deletion)
* [Community topic edits](/help/community-topic-edits)
* [Require topics in stream messages](/help/require-topics)
* [Add custom emoji](/help/add-custom-emoji)
* [Add custom profile fields](/help/add-custom-profile-fields)
* [Configure authentication methods](/help/configure-authentication-methods)
* [Add a custom linkification filter](/help/add-a-custom-linkification-filter)

## Users & bots
* [Deactivate or reactivate a user](/help/deactivate-or-reactivate-a-user)
* [Deactivate or reactivate a bot](/help/deactivate-or-reactivate-a-bot)
* [Restrict bot creation](/help/restrict-bot-creation)
* [Make a user an administrator](/help/make-a-user-an-administrator)
* [Change a user's name](/help/change-a-users-name)
* [View all bots in your organization](/help/view-all-bots-in-your-organization)

## Stream management
* [Stream permissions](/help/stream-permissions)
* [Delete or archive a stream](/help/delete-a-stream)
* [Set default streams for new users](/help/set-default-streams-for-new-users)
* [Rename a stream](/help/rename-a-stream)
* [Change a stream's description](/help/change-the-stream-description)
* [Change the privacy of a stream](/help/change-the-privacy-of-a-stream)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
