# Upload and share files

Zulip allows you to easily attach files, including images, sound, and video by:

- Clicking the paperclip (<i class="icon-vector-paperclip"></i>) icon located
under the message field.
- Dragging or dropping files into the compose box. The files are uploaded to a
server and a link is supplied, but a thumbnail is displayed if possible. The
link to the file will be in Markdown format: `[link_text](link_URL)`

!!! tip ""
    If you wish to give your image a caption or title, you may add text before
    or after the generated link in your message.

!!! tip ""
    The maximum size for uploaded files is 25MB in most Zulip installations.
    This limit can be changed by the server administrator.

After submitting your message, you will see a clickable thumbnail if
your file is a common image type (i.e. PNG, JPEG, etc.); all other
files will simply have a link displayed.

!!! tip ""
    You can view and [manage your uploaded files](/help/manage-your-uploaded-files)
    in the [Uploaded files](/#settings/uploaded-files) {!settings.md!}

## Link Behavior

Clicking all file links will open a new tab that will either:

- display the file if it is an image.
- download the file automatically to your computer.

If the file has a thumbnail, clicking it will open a lightbox modal with
varying options depending on the media type. Images may be opened in new
tabs or downloaded, while videos from YouTube may only be opened (and not
downloaded).

!!! tip ""
    You can exit out of a lightbox by clicking the space around the media preview
    or by clicking the x (<i class="icon-vector-remove"></i>) icon found in
    the upper right-hand corner.

## Sharing files from external websites

Images and videos shared from external websites, such as Imgur or
YouTube, may have previews generated as well. Clicking previews of
images/videos from external websites will lead to the same lightbox
behavior described above.
